﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        bool isCursorTool1, isCursorTool2;

        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
            cursorTool1.Change += new Steema.TeeChart.Tools.CursorChangeEventHandler(cursorTool1_Change);
            cursorTool2.Change += new Steema.TeeChart.Tools.CursorChangeEventHandler(cursorTool2_Change);
            
            isCursorTool1 = true;
            isCursorTool2 = false;
            
            //cursorTool1.FastCursor = true;
            //cursorTool2.FastCursor = true;
        }

        void cursorTool2_Change(object sender, Steema.TeeChart.Tools.CursorChangeEventArgs e)
        {
            cursorTool1.XValue = cursorTool2.XValue;
            cursorTool1.YValue = cursorTool2.YValue;
        }

        void cursorTool1_Change(object sender, Steema.TeeChart.Tools.CursorChangeEventArgs e)
        {
            cursorTool2.XValue = cursorTool1.XValue;
            cursorTool2.YValue = cursorTool1.YValue;
        }

        void Form1_Load(object sender, EventArgs e)
        {
            this.tChart1[0].FillSampleValues(40);
            this.tChart2[0].FillSampleValues(40);

            this.tChart1.Axes.Left.Labels.CustomSize = 50;
            this.tChart2.Axes.Left.Labels.CustomSize = 50;
        }


    }
}
